Bug 1473266 - systemd/dbus hang since the expat has been updated to 2.2.1
systemd/dbus hang since the expat has been updated to 2.2.1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: expat (Show other bugs)
rawhide
arm Linux
unspecified Severity high
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 06:51 EDT by Chanho Park
Modified: 2017-08-09 15:59 EDT (History)
1 user (show)

See Also:
Fixed In Version: expat-2.2.3-1.fc24 expat-2.2.3-1.fc26 expat-2.2.3-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-07 13:20:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chanho Park 2017-07-20 06:51:51 EDT
Description of problem:
Since the expat has been updated to 2.2.1 version, the boot of the arm machine could be hang and need long time to boot up. The problem comes from below commit of the expat((f356fb5 Detect and support syscall(SYS_getrandom, [..]) as well). Since the linux 3.17+, the getrandom syscall has been supported and the expat has used the syscall from the patch. However, the dbus service could be hang on some arm machines because they require long time to initialize the nonblocking pool of the random driver. If the syscall is called before the initialization, the kernel will blocked until the pool is initialized. The problem is that the patch of the expat does not consider such case. It need GRND_NONBLOCK flag when calling the syscall.

Version-Release number of selected component (if applicable):
Fedora 24/25/26 and expat 2.2.1 version

How reproducible:


Steps to Reproduce:
1. "dnf update" to install the expat 2.2.1 version
2. reboot

Actual results:
- The boot sequences are hang after dbus service.

Log)
[FAILED] Failed to start Login Service.
See 'systemctl status systemd-logind.service' for details.


Expected results:
- booting is sucessful.

Additional info:
Comment 1 Joe Orton 2017-07-21 04:47:14 EDT
Yeah, seems like this is being discussed upstream => 

https://github.com/libexpat/libexpat/issues/91
Comment 3 Chanho Park 2017-07-31 05:27:52 EDT
Does it any ticket to apply this patch for the fedora 24(I'm not sure whether it is EOL stage or not). Anyway, it should be resolved for the arm devices.
Comment 5 Joe Orton 2017-08-04 04:23:02 EDT
Package: expat-2.2.3-1.fc26
Build: https://koji.fedoraproject.org/koji/buildinfo?buildID=946004
Comment 6 Joe Orton 2017-08-04 04:25:17 EDT
Package: expat-2.2.3-1.fc25
Build: https://koji.fedoraproject.org/koji/buildinfo?buildID=945992
Comment 7 Fedora Update System 2017-08-04 04:30:18 EDT
expat-2.2.2-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c4f30529f6
Comment 8 Joe Orton 2017-08-04 04:36:35 EDT
Package: expat-2.2.3-1.fc24
Build: https://koji.fedoraproject.org/koji/buildinfo?buildID=946013
Comment 9 Joe Orton 2017-08-04 04:40:30 EDT
Fedora 24 goes EOL on August 8th so please test

https://bodhi.fedoraproject.org/updates/expat-2.2.3-1.fc24

ASAP and I'll see if I can get it pushed to stable.
Comment 10 Fedora Update System 2017-08-04 17:53:10 EDT
expat-2.2.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-23788b7434
Comment 11 Fedora Update System 2017-08-04 17:54:01 EDT
expat-2.2.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c9898a7430
Comment 12 Fedora Update System 2017-08-04 22:21:12 EDT
expat-2.2.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c4f30529f6
Comment 13 Fedora Update System 2017-08-07 13:20:56 EDT
expat-2.2.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2017-08-07 16:18:17 EDT
expat-2.2.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2017-08-09 15:59:25 EDT
expat-2.2.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.